package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;

import io.swagger.annotations.ApiModelProperty;

import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.List;

/**
 * 对应数据库表(goods_category):
 */
public class GoodsCategory {

	/**  */
	private Integer id;
	
	/** 分类名称 */
	@ApiModelProperty(value = "分类名称",required = true)
	private String name;
	
	/** 产品展示的图片地址 */
	@ApiModelProperty(value = "产品展示的图片地址")
	private String img;
	
	/** 父节点编号 */
	@ApiModelProperty(value = "父节点编号",required = true)
	private Integer parentId;
	
	/** 顺序编号 */
	@ApiModelProperty(value = "顺序编号",required = false)
	private Integer orderNo;
	
	/** 状态（1，表示可见  0，表示不可见） */
	@ApiModelProperty(value = "状态（1，表示可见  0，表示不可见）",required = false)
	private YesOrNoEnum status;
	
	/** 描述 */
	@ApiModelProperty(value = "描述",required = false)
	private String desc;
	
	/** 最后修改时间 */
	private java.util.Date updateTime;
	
	/** 创建时间 */
	private java.util.Date createTime;

	@ApiModelProperty(value = "子级商品类型列表",required = false)
	private List<GoodsCategory> goodsCategories;

	public List<GoodsCategory> getGoodsCategories() {
		return goodsCategories;
	}

	public void setGoodsCategories(List<GoodsCategory> goodsCategories) {
		this.goodsCategories = goodsCategories;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setImg(String img){
		this.img = img;
	}
	
	public String getImg(){
		return this.img;
	}
			
	public void setParentId(Integer parentId){
		this.parentId = parentId;
	}
	
	public Integer getParentId(){
		return this.parentId;
	}
			
	public void setOrderNo(Integer orderNo){
		this.orderNo = orderNo;
	}
	
	public Integer getOrderNo(){
		return this.orderNo;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setDesc(String desc){
		this.desc = desc;
	}
	
	public String getDesc(){
		return this.desc;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
